Get webhook events by reward operation ID
curl --request GET \
--url https://payments.coinbase.com/api/v1/webhook-events/reward-operation/{operationId} \
--header 'Authorization: <api-key>'{
"webhookEvents": [
{
"entity": "<string>",
"id": "<string>",
"paymentOperation": {
"entity": "<string>",
"id": "<string>",
"transactionHash": "<string>",
"params": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"payment": {
"entity": "<string>",
"id": "<string>",
"maxAmount": "<string>",
"token": "<string>",
"networkId": 123,
"payer": "<string>",
"signature": "<string>",
"receiver": "<string>",
"maxFeeBps": 123,
"minFeeBps": 123,
"feeReceiver": "<string>",
"salt": "<string>",
"paymentInfoHash": "<string>",
"nonce": "<string>",
"authorizationExpiry": "<string>",
"preApprovalExpiry": "<string>",
"refundExpiry": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"operator": "<string>",
"contractAddress": "<string>",
"authorizedAmount": "<string>",
"capturedAmount": "<string>",
"voidedAmount": "<string>",
"refundedAmount": "<string>",
"chargedAmount": "<string>",
"merchantId": "<string>"
},
"output": "<string>",
"error": "<string>",
"errorCode": "<string>",
"revertReason": "<string>",
"blockNumber": "<string>",
"metadata": {}
},
"rewardOperation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reward": {
"id": "<string>",
"campaignAddress": "<string>",
"paymentInfoHash": "<string>",
"recipientAddress": "<string>",
"tokenAddress": "<string>",
"chainId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"amount": "<string>",
"transactionHash": "<string>",
"error": "<string>",
"errorCode": "<string>",
"revertReason": "<string>",
"blockNumber": "<string>"
},
"webhook": {
"entity": "<string>",
"id": "<string>",
"operatorCoinbaseUserId": "<string>",
"identifier": "<string>",
"description": "<string>",
"url": "<string>",
"events": [],
"secret": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"attempts": 123,
"maxRetries": 123,
"apiVersion": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"pagination": {
"limit": 123,
"next": "<string>"
}
}Webhook Events
Get webhook events by reward operation ID
Retrieve a list of webhook events by its reward operation ID.
GET
/
api
/
v1
/
webhook-events
/
reward-operation
/
{operationId}
Get webhook events by reward operation ID
curl --request GET \
--url https://payments.coinbase.com/api/v1/webhook-events/reward-operation/{operationId} \
--header 'Authorization: <api-key>'{
"webhookEvents": [
{
"entity": "<string>",
"id": "<string>",
"paymentOperation": {
"entity": "<string>",
"id": "<string>",
"transactionHash": "<string>",
"params": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"payment": {
"entity": "<string>",
"id": "<string>",
"maxAmount": "<string>",
"token": "<string>",
"networkId": 123,
"payer": "<string>",
"signature": "<string>",
"receiver": "<string>",
"maxFeeBps": 123,
"minFeeBps": 123,
"feeReceiver": "<string>",
"salt": "<string>",
"paymentInfoHash": "<string>",
"nonce": "<string>",
"authorizationExpiry": "<string>",
"preApprovalExpiry": "<string>",
"refundExpiry": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"operator": "<string>",
"contractAddress": "<string>",
"authorizedAmount": "<string>",
"capturedAmount": "<string>",
"voidedAmount": "<string>",
"refundedAmount": "<string>",
"chargedAmount": "<string>",
"merchantId": "<string>"
},
"output": "<string>",
"error": "<string>",
"errorCode": "<string>",
"revertReason": "<string>",
"blockNumber": "<string>",
"metadata": {}
},
"rewardOperation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reward": {
"id": "<string>",
"campaignAddress": "<string>",
"paymentInfoHash": "<string>",
"recipientAddress": "<string>",
"tokenAddress": "<string>",
"chainId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"amount": "<string>",
"transactionHash": "<string>",
"error": "<string>",
"errorCode": "<string>",
"revertReason": "<string>",
"blockNumber": "<string>"
},
"webhook": {
"entity": "<string>",
"id": "<string>",
"operatorCoinbaseUserId": "<string>",
"identifier": "<string>",
"description": "<string>",
"url": "<string>",
"events": [],
"secret": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"attempts": 123,
"maxRetries": 123,
"apiVersion": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"pagination": {
"limit": 123,
"next": "<string>"
}
}Authorizations
Authorization header using the Bearer scheme. Learn more about JWT tokens in the Coinbase Developer Portal.
Path Parameters
The unique identifier of the reward operation.
Query Parameters
Limit
Maximum number of webhook events to return. Default is 10, Max is 25.
Next
Next item to use for pagination.
Response
A successful response.
Response to get a list of webhook events by its reward operation ID.
Was this page helpful?
⌘I